## rxp 1.2.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=	1.1
+VERSION=	1.2.3
 
 CHAR_SIZE=16
