## rxp 1.5.0

=== debian/changelog ===
rxp (1.5.0-3.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:21:07 +1100

rxp (1.5.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062875

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 15:37:17 +0000

rxp (1.5.0-3) unstable; urgency=medium

  * debian/compat: Require 10.
  * debian/control (Build-Depends): Require debhelper >= 10, removing
    autodev-tools.
    (Standards-Version): Conform to 4.4.0.
    [librxp-dev] (Multi-Arch): New for multi-arch.
    (Vcs-Git, Vcs-Browser): New.
  * debian/rules: Simplify by newer debhelper.
  * debian/patches/02_automake.diff: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 19 Aug 2019 13:10:09 +0900

rxp (1.5.0-2) unstable; urgency=low

  * debian/compat: Require 9.
  * debian/control (Build-Depends): Require debhelper >= 9.  Remove quilt.
    (Standards-Version): Conform to 3.9.4.
    [librxp0] (Multi-Arch, Pre-Depends): New for multi-arch.
    [rxp] (Description): Remove article.
  * debian/{librxp0.install,librxp-dev.install}: Update.  Remove *.la.
  * debian/rules: Simplify using --with autotools-dev.
  * debian/patches/01_lp64_fixes.diff: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 10 Jul 2013 23:33:53 +0000

rxp (1.5.0-1) unstable; urgency=low

  * New upsteam release.
  * debian/control (Maintainer): New maintainer (Closes: #494599).
    (Homepage): Added.
    (Build-Depends): Added quilt and autotools-dev.
  * debian/copyright: Write from scratch.
  * debian/rules: Write from scratch based on sample debian/rules of
    dh-make.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 12 May 2010 11:46:15 +0900
  

rxp (1.2.3-2) unstable; urgency=low

  * make rxp dep on current librxp - Closes: #101111

 -- Mike Mattice <mattice@debian.org>  Fri, 30 Aug 2002 23:53:08 -0500

rxp (1.2.3-1) unstable; urgency=low

  * New upstream release.

 -- Mike Mattice <mattice@debian.org>  Sun, 26 Nov 2000 19:14:50 -0600

rxp (1.1-7) unstable; urgency=low

  * New maintainer. closes: Bug#69643

 -- Mike Mattice <mattice@debian.org>  Tue, 22 Aug 2000 19:46:51 -0500

rxp (1.1-6) unstable; urgency=low

  * Corrected sections to match overrides file. 

 -- Joey Hess <joeyh@debian.org>  Mon,  1 May 2000 20:19:02 -0700

rxp (1.1-5) unstable; urgency=low

  * Build deps.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 15:54:13 -0800

rxp (1.1-4) unstable; urgency=low

  * Removed install-stamp targetr, which can cause problems.

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Sep 1999 13:28:03 -0700

rxp (1.1-3) unstable; urgency=low

  * FHS

 -- Joey Hess <joeyh@debian.org>  Sun, 12 Sep 1999 13:47:47 -0700

rxp (1.1-2) unstable; urgency=low

  * Patch from "Sean 'Shaleh' Perry" <shaleh@varesearch.com> to make rxp
    build as a shared library. Split package into the typical lib and -dev
    packages. I hope festival can use this..

 -- Joey Hess <joeyh@debian.org>  Thu, 29 Jul 1999 13:52:12 -0700

rxp (1.1-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Thu, 29 Jul 1999 10:47:21 -0700

rxp (1.0-1) unstable; urgency=low

  * First release.
  * Minor modifications to make it compile.
  * No shared library is built, though it could be useful to build one for
    festival later. It's not supported out of the box.

 -- Joey Hess <joeyh@debian.org>  Fri, 14 May 1999 13:55:35 -0700
