=== debian/control ===
Source: rxp
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: NIIBE Yutaka <gniibe@fsij.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 10)
Standards-Version: 4.4.0
Section: text
Homepage: http://www.cogsci.ed.ac.uk/~richard/rxp.html
Vcs-Git: https://salsa.debian.org/debian/rxp.git
Vcs-Browser: https://salsa.debian.org/debian/rxp

Package: rxp
Section: text
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Validating XML parser
 Rxp reads, parses, and can optionally validate XML.

Package: librxp0t64
Provides: ${t64:Provides}
Replaces: librxp0
Breaks: librxp0 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Shared library for XML parsing and validating
 XML is a metalanguage to let you design your own markup language. This
 library can be used to parse and validate XML documents.

Package: librxp-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, librxp0t64 (= ${binary:Version})
Description: Development files for librxp
 XML is a metalanguage to let you design your own markup language. librxp is
 a library that can be used to parse and validate XML documents.
 .
 This package contains the static library and header files used in
 development.
