=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile-gmake -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_autoreconf_clean:
	dh_autoreconf_clean
	rm -rf m4

override_dh_autoreconf:
	mkdir -p m4
	dh_autoreconf
